Last modified: 2011-05-05 10:05:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26894 - Kill $wgSkinExtensionFunctions
Kill $wgSkinExtensionFunctions
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality global-vars
  Show dependency treegraph
 
Reported: 2011-01-23 20:47 UTC by Alexandre Emsenhuber [IAlex]
Modified: 2011-05-05 10:05 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Alexandre Emsenhuber [IAlex] 2011-01-23 20:47:59 UTC
This variable is not used by any extension and is redundant with $wgSkinExtensionFunctions. It was added in r4934 to let extensions defining new skins add items to $wgValidSkinNames, but this is not needed now.
Comment 1 Krinkle 2011-01-23 22:54:53 UTC
$wgSkinExtensionFunctions === $wgSkinExtensionFunctions.
Which variable do you mean to kill and is redundant to which, something seems missing here. Did you mean $wgExtensionFunctions ?
Comment 2 Alexandre Emsenhuber [IAlex] 2011-01-24 07:12:08 UTC
Oops, yes, $wgSkinExtensionFunctions is redundant with $wgExtensionFunctions.
Comment 3 p858snake 2011-05-05 10:05:16 UTC
r87487

Marking fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links